<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.crgs.moveinDetails.mapper.MoveinEBaseinfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.crgs.moveinDetails.entity.MoveinEBaseinfo">
        <id column="PRIPID" property="pripid" />
        <result column="UNISCID" property="uniscid" />
        <result column="ENTNAME" property="entname" />
        <result column="REGNO" property="regno" />
        <result column="ENTTYPE" property="enttype" />
        <result column="ENTTYPE_CN" property="enttypeCn" />
        <result column="INDUSTRYPHY" property="industryphy" />
        <result column="INDUSTRYCO" property="industryco" />
        <result column="ESTDATE" property="estdate" />
        <result column="REGORG" property="regorg" />
        <result column="REGORG_CN" property="regorgCn" />
        <result column="OPSCOTYPE" property="opscotype" />
        <result column="OPSCOTYPE_CN" property="opscotypeCn" />
        <result column="OPSCOPE" property="opscope" />
        <result column="OPFROM" property="opfrom" />
        <result column="OPTO" property="opto" />
        <result column="REGSTATE" property="regstate" />
        <result column="REGSTATE_CN" property="regstateCn" />
        <result column="DOMDISTRICT" property="domdistrict" />
        <result column="DOM" property="dom" />
        <result column="REGCAP" property="regcap" />
        <result column="REGCAPCUR" property="regcapcur" />
        <result column="REGCAPCUR_CN" property="regcapcurCn" />
        <result column="REGCAPUSD" property="regcapusd" />
        <result column="RECCAP" property="reccap" />
        <result column="RECCAPUSD" property="reccapusd" />
        <result column="COUNTRY" property="country" />
        <result column="EMPNUM" property="empnum" />
        <result column="TOWN" property="town" />
        <result column="NAME" property="name" />
        <result column="REPORTTYPE" property="reporttype" />
        <result column="APPRDATE" property="apprdate" />
        <result column="S_EXT_FROMNODE" property="sExtFromnode" />
        <result column="S_EXT_DATATIME" property="sExtDatatime" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        PRIPID, UNISCID, ENTNAME, REGNO, ENTTYPE, ENTTYPE_CN, INDUSTRYPHY, INDUSTRYCO, ESTDATE, REGORG, REGORG_CN, OPSCOTYPE, OPSCOTYPE_CN, OPSCOPE, OPFROM, OPTO, REGSTATE, REGSTATE_CN, DOMDISTRICT, DOM, REGCAP, REGCAPCUR, REGCAPCUR_CN, REGCAPUSD, RECCAP, RECCAPUSD, COUNTRY, EMPNUM, TOWN, NAME, REPORTTYPE, APPRDATE, S_EXT_FROMNODE, S_EXT_DATATIME, create_time, update_time
    </sql>

</mapper>
